#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 incremental-parser
version:              0.5.1
visibility:           public
id:                   incremental-parser-0.5.1-7qmqjghhmtl1kWfKccHqKK
key:                  incremental-parser-0.5.1-7qmqjghhmtl1kWfKccHqKK
license:              GPL-3.0-only
copyright:            (c) 2011-2023 Mario Blazevic
maintainer:           blamario@yahoo.com
author:               Mario Blazevic
homepage:             https://github.com/blamario/incremental-parser
synopsis:
    Generic parser library capable of providing partial results from partial input.

description:
    This package defines yet another parser combinator library. This one is implemented using the concept of Brzozowski
    derivatives, tweaked and optimized to work with any monoidal input type. Lists, ByteString, and Text are supported out
    of the box, as well as any other data type for which the monoid-subclasses package defines instances. If the parser
    result is also a monoid, its chunks can be extracted incrementally, before the complete input is parsed.

category:             Parsing
abi:                  38c622ef856dd9f8a850d9e3f4550034
exposed:              True
exposed-modules:
    Control.Applicative.Monoid Text.ParserCombinators.Incremental
    Text.ParserCombinators.Incremental.LeftBiasedLocal
    Text.ParserCombinators.Incremental.Symmetric

import-dirs:          /usr/lib/ghc-9.2.8/site-local/incremental-parser-0.5.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/incremental-parser-0.5.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-incremental-parser
hs-libraries:         HSincremental-parser-0.5.1-7qmqjghhmtl1kWfKccHqKK
depends:
    base-4.16.4.0 input-parsers-0.3.0.2-3sHd4uJcVhU7wVlxvvphvU
    logict-0.7.1.0-KuWe4b8IspSIQx3YdRKfW1
    monoid-subclasses-1.2.6-2LZtJ6uCjtYLCbsrhznyqG
    parsers-0.12.12-4S8VTr8nJl3B6poYRoWvaE
    rank2classes-1.5.4-7gkl61KA9edH8dvxSkgPnR transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-incremental-parser/html/incremental-parser.haddock

haddock-html:         /usr/share/doc/haskell-incremental-parser/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

